<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * List all Active Tasks defined in the DB
 *
 * @package    OSB
 * @subpackage Task
 * @category   Task/Task
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Task_Task_Listactive extends Task {
	protected function _execute(array $params) {
		$output = '';

		$output .= sprintf('%2s %30s %21s %21s %40s',
			'ID','Command','Last Run','Next Run','Description');
		$output .= "\n";

		foreach (ORM::factory('Task')->list_active() as $t) {
			$output .= sprintf('%2s %30s %21s %21s %40s',
				$t['task']->id,
				$t['task']->command,
				$t['task']->display('date_run'),
				Config::datetime($t['next']),
				$t['task']->display('description')
			);

			$output .= "\n";
		};

		echo $output;
	}
}
?>
