<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB Configuration - System Default Configurable Items.
 *
 * @package    OSB
 * @subpackage System
 * @category   Configuration
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */

return array(
	'appname'         => '',
	'cache_type'      => 'file',
	'email_from'      => array('noreply@graytech.net.au'=>'Graytech Hosting'),
	'email_admin_only'=> array(
		'adsl_traffic_notice'=>array('deon@c5t61p.leenooks.vpn'=>'Deon George'),
	),
	'method_directory'=> array(		// Out method paths for the different functions
		'admin',
		'affiliate',
		'reseller',
		'task',
		'user',
		),
	'method_security' => TRUE,		// Enables Method Security. Setting to false means any method can be run without authentication
	'site'            => array(
		'172.31.9.4'=>1,
		'www.graytech.net.au'=>1,
	),
	'site_debug'      => FALSE,
	'site_mode'       => array(
		'172.31.10.200'=>Kohana::DEVELOPMENT,
		'www.graytech.net.au'=>Kohana::PRODUCTION,
	),
	'bsb'             => '633-000',                  // @todo This should come from the DB
	'accnum'          => '120 440 821',              // @todo This should come from the DB
	'site_name'       => 'Graytech Hosting Pty Ltd', // @todo This should come from the DB
	'taxid'           => 'ABN: 49 106 229 476',      // @todo This should come from the DB
	'theme'           => 'yaml', // @todo This should be in the DB
);
?>
